function C1=zirkulante(v)
%ZIRKULANTE Determination of the "Zirkulante" for a vector v
%
%   Syntax
%   C1=zirkulante(v)
%
%   References: [DSV1, chap. 2.4.4.3]
%
%   See also Matlab:  toeplitz

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Hans W. Schuessler
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,1, nargin, 'struct'))
%
M=length(v);
v=v(:)';
v_=v([1 M:-1:2]);
C1=toeplitz(v,v_);
%% [EOF] - zirkulante
