function y=abtast(v,r,rho)
%ABTAST Down sampling of a sequence 
%   Demo Program
% y=abtast(v,r,rho)calculates a subsequence of values out of vector v in an
% integer ratio r and a phase-shift of rho (rho<r).
%
%   References: [DSV1, Chap. 2.4.2 ]
%
%   See also DSV-Lib: spreiz
%            Matlab:  downsample, upsample

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Hans W. Schuessler
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(3,3, nargin, 'struct'))
%
nn=length(v);
y =zeros(1,nn);
m=rho+(1:r:nn);
y(m)=v(m);
%% [EOF] - abtast
