function y = spreiz(v,r)
%SPREIZ Upsampling of a sequence
%   Demo Program
% Spreizung der Folge v(k) um r;
% ------------------------------
% y = spreiz(v,r) increases the sampling rate of input sequence v by
% inserting r-1 zeros between samples. The output sequence y is upsampled
% by the factor r.
%   References: [DSV1, Chap. 2.4.2 p.61]
%
%   See also DSV-Lib: abtast
%            Matlab:  downsample, upsample

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Hans W. Schuessler
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(2,4, nargin, 'struct'))
n = length(v); 
y=zeros(1,r*n);
y(1:r:r*n)=v;
%% [EOF] - spreiz
