function C=expchr(chi,alpha)
%EXPCHR Characteristic function of a exponential distrib. sequence
%
%   Syntax
%   C=expchr(chi,alpha)
%
%   Description
% C=expchr(chi,alpha)computes the characteristic function for the 
%   exponential distribution with parameter alpha. The function is
%   calculated for the values of vector chi.
% 
%   References: [DSV1, Chap. 3.1.3 p.145 ff]
%
%   See also DSV-Lib: randexp, expvdf, normchr, rectchr, chi2chr, raychr, 
%                     stuchr, sinchr, binchr

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(2,2, nargin, 'struct'))
%
C = alpha ./ (alpha - j*chi);
%% [EOF] - expchr

