function CAP1=cap2calat(CAP,str)
%CAP2CALAT Determing CA-coefficients for substructures in lattice form
%
%   Syntax
%   CAP1=cap2calat(CAP)
%   CAP1=cap2calat(CAP,str)
%
%   Description
%   ---------- in preparation ----------------
%                             
%   References: [DSV1, chap. 6.6.3 and 7.1.3]
%
%   See also DSV-Lib:  tf2catf

%% ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,2, nargin, 'struct'))
typ=CAP.name;
CAP1=CAP;
if nargin<2, str='lfs'; end
CAP1.name ='Coupled allpass in lattice form';
switch str
     case {'lf2','lfs','lfn','lfw'},
       CAP1.substr=str;
     otherwise,  error('CAP2CALAT: not allowed substructure');
end
%% Check input / output structure
if ~isempty(strfind(typ,'direct form'))  % CAP: CATF structure
    % Coefficients already in CAP
elseif ~isempty(strfind(typ,'lattice form'))  % CAP: CALATstructure
    return
elseif ~isempty(strfind(typ,'SOS form'))  % CAP: CASOS structure
    CAP=cap2catf(CAP);
else error('CAP2CALAT: CAP structure not defined')
end
%% Build Lattice Allpass 
for i=1:2
  rc =tf2latc(1,CAP.coef{i}(2,:));
  CAP1.coef{i}=rc;
end
%% [EOF] - cap2calat
