function CAP1=cap2catf(CAP,str)
%CAP2CATF Determing CA-coefficients for substructures in direct form
%
%   Syntax
%   CAP1=cap2catf(CAP)
%   CAP1=cap2catf(CAP,str)
%
%   Description
%   ---------- in preparation ----------------
%                             
%   References: [DSV1, chap. 6.6.3 and 7.1.3]
%
%   See also DSV-Lib: cap2tf, tf2catf

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,1, nargin, 'struct'))
typ=CAP.name;
CAP1=CAP;
CAP1.name='Coupled allpass in direct form';
if nargin>1, 
    if ~any(strcmp(str,{'df1','df1t','df2','df2t'})),
        error ('CAP2CAT: Not allowed filter structurE'); end
else str='df1';
end
CAP.substr=str; 
%% Check input / output structure
if ~isempty(strfind(typ,'direct form'))  % CAP: CATF structure
    % Coefficients already in CAP1
elseif ~isempty(strfind(typ,'lattice form'))  % CAP: CALATstructure
    for i=1:2
       rc=CAP.coef{i}
       [num,den]=latc2tf(rc,'allpass');
       CAP1.coef{i}=[num;den];   
    end
elseif ~isempty(strfind(typ,'SOS form'))  % CAP: CASOS structure
    for i=1:2
        sos=CAP.coef{i}{1}; s=CAP.coef{i}{2};
        [num,den]=sos2tf(sos,s);
        CAP1.coef{i}=[num;den];
    end
else error('CAP2CATF: CAP structure not defined')
end
%% [EOF] - cap2catf
