function [A,B,Ct,D] = ssf_getblk(sss,n)
% SSS_GETBLK - Returns state variables of block n
%%  ---------------------------------------------------------------
%   DSV1-Bibliothek to H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
nb=size(sss,1);
if(n>nb), error ('GETSSSBLK: block number not valid'); end
%
if(iscell(sss))
AA = sss{n,1}; B = sss{n,2} ; Ct = sss{n,3}; D = sss{n,4};
else
AA = [sss(n,1) sss(n,2); sss(n,3) sss(n,4)];
B = [sss(n,5); sss(n,6)];
Ct= [sss(n,7) sss(n,8)];
D = sss(n,9);
end
%
if(nargout==1),
   A=[AA(1,:) AA(2,:) B' Ct D];
else
   A = AA;
end
  
%[EOF]
   
