function CAP=sos2calfssos(varargin)
%SOS2CALFSSOS Transfer SOS-form to coupled allpass in lfssos-form
%
%   Syntax
%   CAP=sos2calfssos(sos)
%   CAP=sos2calfssos(sos,s)
%
%   Description
% CAP=sos2calfssos(sos) transfers the SOS-form to an allpass structure,
%   using substructures containing 2. order sections in lfs structure.
%   CAP-structure contains all parameters for the allpass, 
%   see [DSV1, chap. 7.1.3.2]
%  
%   References: [DSV1, chap. 6.6.3 and 7.1.3]
%
%   See also DSV-Lib: sos2catf, cap2casos, print_cap

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
CAP1=sos2catf(varargin{:});
%
CAP = cap2casos(CAP1,'lfssos');
%
%% [EOF] - sos2caflssos