function cap=sos2catf(sos,s)
%SOS2CATF Transformation of SOS structure into coupled allpass
%
%   Syntax
%   cap=sos2catf(sos)
%   cap=sos2catf(sos,s)
%
%   Description ...
%
%   References: [DSV1, chap. 6.6.3 and 7.1.3]
%
%   See also DSV-Lib: tf2catf, print_cap
%            Matlab:  sos2tf

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,2, nargin, 'struct'))
%
[b,a]=sos2tf(sos,s);
cap=tf2catf(b,a);
%% [EOF] - sos2catf

