function [A1,B1,C1,D]=tf2ss1(b,a)
%TF2SS1: Transformation of direct dorm to 1. canonical state space form
%
%   Syntax:
%   [A1,B1,C1,D]=tf2ss1(b,a)
%
%  References: [DSV1, chap. 5.2.1 and 7.1.3.]
%
%   See also DSV-Lib: tf2ss2
%            Matlab:  tf2ss

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,2,nargin))
[A,B,C,D]=tf2ss(b,a);
A1=A'; B1=C'; C1=B';
%% [EOF] - tf2ss1
