function [A2,B2,C2,D]=tf2ss2(b,a)
%TF2SS2: Transformation of direct form to 2. canonical state space form
%
%   Syntax:
%   [A1,B1,C1,D]=tf2ss2(b,a)
%
%  References: [DSV1, chap. 5.2.1 and 7.1.3.]
%
%   See also DSV-Lib: tf2ss1
%            Matlab:  tf2ss

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,2,nargin))
[A,B,C,D]=tf2ss(b,a);
%
n=size(A,1); Jn=fliplr(eye(n));
A2=Jn*A*Jn; B2=Jn*B; C2=C*Jn;
%% [EOF] - tf2ss2
