function d=h2db(H)
%H2DB Output of frequency response in a logarithmic scale
%
%   Algorithm: D=20 * log10(abs(H))
%
%   See also: p2db

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,1, nargin, 'struct'))
%
war=warning('off','all');
d= 20*log10(abs(H));
warning(war)
%% [EOF] - h2db

