function d=p2db(P)
%P2DB  Output of power density response in a logarithmic scale
%
%   Algorithm: D=10 * log10(abs(H))
%
%   See also: h2db

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
%   DSV1-Bibliothek to H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Hans W. Schuessler and Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(1,1, nargin, 'struct'))
war=warning('off','all');
d= 10*log10(abs(P));
warning(war)
%% [EOF] - p2db
