function w = energyss(A,B,C,D)
%ENERGYSS Total power transfer function for a system defined by (A,B,C,D) 
%
%   Syntax
%   w = energyss(A,B,C,D)
%
%   Description
% w = energyss(A,B,C,D) calculates the total energy transfered by the
%   systen which is definded by the state martices (A,B,C,D) 
%
%   References: [DSV1, chap. 5.3.4]
%
%   See also DSV-Lib: gram, energy

%%  ---------------------------------------------------------------
%   DSV1-Bibliothek zu H.W. Schuessler: Digitale Signalverarbeitung 1,
%                      Springer (2008)
%   Authors: Guenter F. Dehner
%   Version: 1.0
%   Copyright 2007 by authors - not released for commercial use
%%  ---------------------------------------------------------------
error(nargchk(4,4, nargin, 'struct'))
%
K = gram(A,B);
w = C*K*C' + D*D;
%% [EOF] - energyss
